lib64qt5printsupport-devel-5.6.2-11.mga6.x86_64.rpm


Advertisement

Description

lib64qt5printsupport-devel - Devel files needed to build apps based on QtPrintSupport

Property Value
Distribution Mageia 6.1
Repository Mageia Core x86_64
Package filename lib64qt5printsupport-devel-5.6.2-11.mga6.x86_64.rpm
Package name lib64qt5printsupport-devel
Package version 5.6.2
Package release 11.mga6
Package architecture x86_64
Package type rpm
Category Development/KDE and Qt
Homepage http://www.qt.io
License LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
Maintainer -
Download size 36.57 KB
Installed size 109.74 KB
Devel files needed to build apps based on QtPrintSupport.

Alternatives

Package Version Architecture Repository
lib64qt5printsupport-devel-5.9.4-1.2.mga6.x86_64.rpm 5.9.4 x86_64 Mageia Core Updates
lib64qt5printsupport-devel-5.9.4-1.1.mga6.x86_64.rpm 5.9.4 x86_64 Mageia Core Updates
lib64qt5printsupport-devel - - -

Requires

Name Value
devel(libQt5Core(64bit)) -
devel(libQt5Gui(64bit)) -
devel(libQt5Widgets(64bit)) -
devel(libm(64bit)) -
devel(libstdc++(64bit)) -
lib64qt5printsupport5 == 5.6.2
pkgconfig -
pkgconfig(Qt5Core) -
pkgconfig(Qt5Gui) -
pkgconfig(Qt5Widgets) -
qtbase5-common == 5.6.2
qtbase5-common-devel == 5.6.2-11.mga6

Provides

Name Value
cmake(Qt5PrintSupport) == 5.6.2
devel(libQt5PrintSupport(64bit)) -
lib64qt5printsupport-devel == 5.6.2-11.mga6
lib64qt5printsupport-devel(x86-64) == 5.6.2-11.mga6
lib64qt5printsupport-private-devel == 5.6.2-11.mga6
libqt5printsupport-devel == 5.6.2
libqtprintsupport5-devel == 5.6.2
pkgconfig(Qt5PrintSupport) == 5.6.2
qt5printsupport-devel == 5.6.2
qt5printsupport-private-devel == 5.6.2
qtprintsupport5-devel == 5.6.2
qtprintsupport5-private-devel == 5.6.2

Obsoletes

Name Value
lib64qt5printsupport-private-devel < 5.6.0-1

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package lib64qt5printsupport-devel-5.6.2-11.mga6.x86_64.rpm
Source Package qtbase5-5.6.2-11.mga6.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install lib64qt5printsupport-devel rpm package:
    # urpmi lib64qt5printsupport-devel

Files

Path
/usr/lib64/libQt5PrintSupport.prl
/usr/lib64/libQt5PrintSupport.so
/usr/lib64/cmake/Qt5PrintSupport/Qt5PrintSupportConfig.cmake
/usr/lib64/cmake/Qt5PrintSupport/Qt5PrintSupportConfigVersion.cmake
/usr/lib64/cmake/Qt5PrintSupport/Qt5PrintSupport_QCupsPrinterSupportPlugin.cmake
/usr/lib64/pkgconfig/Qt5PrintSupport.pc
/usr/lib64/qt5/include/QtPrintSupport/QAbstractPrintDialog
/usr/lib64/qt5/include/QtPrintSupport/QPageSetupDialog
/usr/lib64/qt5/include/QtPrintSupport/QPrintDialog
/usr/lib64/qt5/include/QtPrintSupport/QPrintEngine
/usr/lib64/qt5/include/QtPrintSupport/QPrintPreviewDialog
/usr/lib64/qt5/include/QtPrintSupport/QPrintPreviewWidget
/usr/lib64/qt5/include/QtPrintSupport/QPrinter
/usr/lib64/qt5/include/QtPrintSupport/QPrinterInfo
/usr/lib64/qt5/include/QtPrintSupport/QtPrintSupport
/usr/lib64/qt5/include/QtPrintSupport/QtPrintSupportDepends
/usr/lib64/qt5/include/QtPrintSupport/QtPrintSupportVersion
/usr/lib64/qt5/include/QtPrintSupport/qabstractprintdialog.h
/usr/lib64/qt5/include/QtPrintSupport/qpagesetupdialog.h
/usr/lib64/qt5/include/QtPrintSupport/qprintdialog.h
/usr/lib64/qt5/include/QtPrintSupport/qprintengine.h
/usr/lib64/qt5/include/QtPrintSupport/qprinter.h
/usr/lib64/qt5/include/QtPrintSupport/qprinterinfo.h
/usr/lib64/qt5/include/QtPrintSupport/qprintpreviewdialog.h
/usr/lib64/qt5/include/QtPrintSupport/qprintpreviewwidget.h
/usr/lib64/qt5/include/QtPrintSupport/qtprintsupportglobal.h
/usr/lib64/qt5/include/QtPrintSupport/qtprintsupportversion.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qabstractprintdialog_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qcups_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qcupsjobwidget_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qpagesetupdialog_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qpagesetupdialog_unix_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qpaintengine_alpha_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qpaintengine_preview_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprint_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprintdevice_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprintengine_pdf_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprintengine_win_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprinter_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/private/qprinterinfo_p.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/qpa/qplatformprintdevice.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/qpa/qplatformprintersupport.h
/usr/lib64/qt5/include/QtPrintSupport/5.6.2/QtPrintSupport/qpa/qplatformprintplugin.h

Changelog

2017-07-01 - luigiwalser <luigiwalser> 5.6.2-11.mga6
+ Revision: 1108894
- add upstream patch via opensuse to fix security issue (bsc#1034005)
2017-03-30 - neoclust <neoclust> 5.6.2-10.mga6
+ Revision: 1095279
- Revert branch commits, this does not fix our panel crash
2017-03-29 - neoclust <neoclust> 5.6.2-9.mga6
+ Revision: 1095202
- Update to 5.6 branch to help to fix plasma crashes
2017-03-20 - akien <akien> 5.6.2-8.mga6
+ Revision: 1093710
- Rebuild against bootstrapped qtbase5
2017-03-20 - neoclust <neoclust> 5.6.2-7.mga6
+ Revision: 1093670
- Rebuild against new icu
- Sync with 5.6 branch
2017-01-01 - neoclust <neoclust> 5.6.2-6.mga6
+ Revision: 1079241
- Fix Requires
2016-12-31 - luigiwalser <luigiwalser> 5.6.2-5.mga6
+ Revision: 1078907
- fix requires for qt5gui-devel
+ daviddavid <daviddavid>
- enable libproxy and tslib support
2016-12-13 - neoclust <neoclust> 5.6.2-3.mga6
+ Revision: 1074459
- enable journald support
2016-12-13 - stormi <stormi> 5.6.2-2.mga6
+ Revision: 1074432
- Add build dependency to pkgconfig(sm) for mga#16850
2016-11-03 - neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064875
- New version 5.6.2

See Also

Package Description
lib64qt5printsupport5-5.6.2-11.mga6.x86_64.rpm Qt5 Lib
lib64qt5qml-devel-5.6.2-10.mga6.x86_64.rpm Devel files needed to build apps based on QtDeclarative
lib64qt5qml5-5.6.2-10.mga6.x86_64.rpm Qt5 Lib
lib64qt5quick-devel-5.6.2-10.mga6.x86_64.rpm Devel files needed to build apps based on QtDeclarative
lib64qt5quick5-5.6.2-10.mga6.x86_64.rpm Qt5 Lib
lib64qt5quickparticles-devel-5.6.2-10.mga6.x86_64.rpm Devel files needed to build apps based on QtDeclarative
lib64qt5quickparticles5-5.6.2-10.mga6.x86_64.rpm Qt5 Lib
lib64qt5quicktest-devel-5.6.2-10.mga6.x86_64.rpm Devel files needed to build apps based on QtDeclarative
lib64qt5quicktest5-5.6.2-10.mga6.x86_64.rpm Qt5 Lib
lib64qt5quickwidgets-devel-5.6.2-10.mga6.x86_64.rpm Devel files needed to build apps based on QtDeclarative
lib64qt5quickwidgets5-5.6.2-10.mga6.x86_64.rpm Qt5 Lib
lib64qt5script-devel-5.6.2-2.mga6.x86_64.rpm Devel files needed to build apps based on QtScript
lib64qt5script5-5.6.2-2.mga6.x86_64.rpm Qt5 Component Library
lib64qt5scripttools-devel-5.6.2-2.mga6.x86_64.rpm Devel files needed to build apps based on QtScriptTools
lib64qt5scripttools5-5.6.2-2.mga6.x86_64.rpm Qt5 Component Library
Advertisement
Advertisement